program mykinds

  implicit none
  integer :: i
  real :: x

  write(*,*) "kind(0) =",kind(0)
  write(*,*) "kind(0.0) =",kind(0.0)
  write(*,*) "kind(.false.) =",kind(.false.)
  write(*,*) "kind('a') =",kind("a")
  write(*,*)
  write(*,*) "kind(i) =",kind(i)
  write(*,*) "kind(x) =",kind(x)

end program mykinds
